Index: azure_iot_hub/trunk/asp3_dcre/tinet/net/ppp_hdlc.c
===================================================================
--- azure_iot_hub/trunk/asp3_dcre/tinet/net/ppp_hdlc.c	(revision 388)
+++ azure_iot_hub/trunk/asp3_dcre/tinet/net/ppp_hdlc.c	(revision 389)
@@ -5,39 +5,27 @@
  *                   Tomakomai National College of Technology, JAPAN
  *
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã® (1)ï½(4) ã®æ¡ä»¶ãï¼Free Software Foundation 
- *  ã«ãã£ã¦å
-¬è¡¨ããã¦ãã GNU General Public License ã® Version 2 ã«è¨
- *  è¿°ããã¦ããæ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§ã¢ï¼æ¬ã½ããã¦ã§ã¢
- *  ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼
- *  å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®æ¡ä»¶ãæºãããã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ãã®é©ç¨å¯è½æ§ã
- *  å«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´
- *  æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ãã®è²¬ä»»ãè² ããªãï¼
+ *  上記著作権者は，以下の (1)～(4) の条件か，Free Software Foundation 
+ *  によって公表されている GNU General Public License の Version 2 に記
+ *  述されている条件を満たす場合に限り，本ソフトウェア（本ソフトウェア
+ *  を改変したものを含む．以下同じ）を使用・複製・改変・再配布（以下，
+ *  利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次の条件を満たすこと．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，その適用可能性も
+ *  含めて，いかなる保証も行わない．また，本ソフトウェアの利用により直
+ *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
  *  @(#) $Id$
@@ -90,9 +78,9 @@
 
 /*
- *  RFC1171 (PPP) ã® HDLC é¨ã®å®ç¾©
- */
-
-/*
- *  å¤æ°
+ *  RFC1171 (PPP) の HDLC 部の定義
+ */
+
+/*
+ *  変数
  */
 
@@ -100,5 +88,5 @@
 
 /*
- *  é¢æ°
+ *  関数
  */
 
@@ -107,7 +95,6 @@
 
 /*
- *  genfcstab.c ã«ããä½æãã FCS ã®ã«ãã¯ã¢ããè¡¨
- *  RFC1171 åç
-§
+ *  genfcstab.c により作成した FCS のルックアップ表
+ *  RFC1171 参照
  */
 
@@ -180,5 +167,5 @@
 
 /*
- *  ã¤ã³ã©ã¤ã³é¢æ°
+ *  インライン関数
  */
 
@@ -188,5 +175,5 @@
 
 /*
- *  HDLC_putoctet -- HDLC ãªã¯ãããåºå
+ *  HDLC_putoctet -- HDLC オクテット出力
  */
 
@@ -212,5 +199,5 @@
 
 /*
- *  HDLC_wirte -- HDLC åºå
+ *  HDLC_wirte -- HDLC 出力
  */
 
@@ -241,5 +228,5 @@
 	if (lcp_local_ack_cfg.options & LCP_CFG_ACCOMP) {
 		NET_COUNT_PPP_HDLC(net_count_hdlc.out_octets, sizeof(flag_seq));
-		/* ãã¬ã¼ã éå§ãã©ã°ã·ã¼ã±ã³ã¹ ãéä¿¡ãã    */
+		/* フレーム開始フラグシーケンス を送信する    */
 		if ((error = serial_wri_dat(HDLC_PORTID, &flag_seq, sizeof(flag_seq))) < 0) {
 			goto err_ret;
@@ -250,9 +237,9 @@
 
 		NET_COUNT_PPP_HDLC(net_count_hdlc.out_octets, sizeof(flag_seq_ac));
-		/* ãã¬ã¼ã éå§ãã©ã°ã·ã¼ã±ã³ã¹ãAddress ã¨ Control ãéä¿¡ãã    */
+		/* フレーム開始フラグシーケンス、Address と Control を送信する    */
 		if ((error = serial_wri_dat(HDLC_PORTID, flag_seq_ac, sizeof(flag_seq_ac))) < 0) {
 			goto err_ret;
 			}
-		/* Address ã¨ Control ã® FCS ã®è¨ç®ã¯ HDLC_INIT_FCS_AC ã«å«ãã¦ãã */
+		/* Address と Control の FCS の計算は HDLC_INIT_FCS_AC に含めている */
 		fcs = HDLC_INIT_FCS_AC;
 		}
@@ -261,9 +248,9 @@
 
 	NET_COUNT_PPP_HDLC(net_count_hdlc.out_octets, sizeof(flag_seq_ac));
-	/* ãã¬ã¼ã éå§ãã©ã°ã·ã¼ã±ã³ã¹ãAddress ã¨ Control ãéä¿¡ãã    */
+	/* フレーム開始フラグシーケンス、Address と Control を送信する    */
 	if ((error = serial_wri_dat(HDLC_PORTID, flag_seq_ac, sizeof(flag_seq_ac))) < 0) {
 		goto err_ret;
 		}
-	/* Address ã¨ Control ã® FCS ã®è¨ç®ã¯ HDLC_INIT_FCS_AC ã«å«ãã¦ãã */
+	/* Address と Control の FCS の計算は HDLC_INIT_FCS_AC に含めている */
 	fcs = HDLC_INIT_FCS_AC;
 
@@ -282,5 +269,5 @@
 #endif	/* of #ifdef LCP_CFG_PCOMP */
 
-	/* ãã¼ã¿ãéä¿¡ãã */
+	/* データを送信する */
 	while (len -- > 0) {
 
@@ -291,5 +278,5 @@
 		}
 
-	/* FCS ãéä¿¡ãã */
+	/* FCS を送信する */
 	fcs = ~fcs;
 	if ((error = HDLC_putoctet(fcs & 0xff)) != E_OK)
@@ -298,5 +285,5 @@
 		goto err_ret;
 
-	/* ãã¬ã¼ã çµäºãã©ã°ã·ã¼ã±ã³ã¹ãéä¿¡ãã */
+	/* フレーム終了フラグシーケンスを送信する */
 	if ((error = serial_wri_dat(HDLC_PORTID, &flag_seq_ac[0], sizeof(char))) < 0)
 		goto err_ret;
@@ -310,8 +297,7 @@
 
 /*
- *  HDLC_getoctet -- HDLC ãªã¯ãããå
-¥å
- *
- *	æ»ãå¤ã true ãªããã©ã°ã·ã¼ã±ã³ã¹
+ *  HDLC_getoctet -- HDLC オクテット入力
+ *
+ *	戻り値が true ならフラグシーケンス
  */
 
@@ -321,18 +307,14 @@
 	ER error;
 
-	/* 1ãªã¯ãããå
-¥åãã */
+	/* 1オクテット入力する */
 	if ((error = serial_rea_dat(HDLC_PORTID, octet, sizeof(uint8_t))) <= 0) {
 		return error;
 		}
 
-	/* å
-¥åãããªã¯ãããããã©ã°ã·ã¼ã±ã³ã¹ãªã true ãè¿ã */
+	/* 入力したオクテットがフラグシーケンスなら true を返す */
 	if (*octet == HDLC_FLAG_SEQ)
 		return true;
 
-	/* å
-¥åãããªã¯ããããã¨ã¹ã±ã¼ããªããããï¼ãªã¯ãããå
-¥åããã¹ã¯ãè§£é¤ãã */
+	/* 入力したオクテットがエスケープなら、もう１オクテット入力しマスクを解除する */
 	if (*octet == HDLC_CNTL_ESC) {
 		if ((error = serial_rea_dat(HDLC_PORTID, octet, sizeof(uint8_t))) <= 0)
@@ -346,9 +328,7 @@
 
 /*
- *  HDLC_read -- HDLC å
-¥å
- *
- *	HDLC ãã¬ã¼ã ãå
-¥åããã
+ *  HDLC_read -- HDLC 入力
+ *
+ *	HDLC フレームを入力する。
  */
 
@@ -362,6 +342,5 @@
 	buf = nbuf->buf;
 
-	/* ãã¬ã¼ã éå§ãã©ã°ã·ã¼ã±ã³ã¹ã¾ã§å
-¥åãèª­ã¿é£ã°ã */
+	/* フレーム開始フラグシーケンスまで入力を読み飛ばす */
 	while ((error = HDLC_getoctet(&octet)) != true) {
 
@@ -372,7 +351,7 @@
 
 		else if (octet == '\n') {
-			/* ã¢ãã å¶å¾¡ãå¼ã³åºãã*/
+			/* モデム制御を呼び出す。*/
 			modem_cntl(modem_getline(nbuf, size));
-			/* ä¸åº¦ããã®é¢æ°ãçµäºããã*/
+			/* 一度、この関数を終了する。*/
 			nbuf->len = 0;
 			return E_OK;
@@ -383,6 +362,5 @@
 		}
 
-	/* ãã¬ã¼ã éå§ãã©ã°ã·ã¼ã±ã³ã¹ã®éã¯å
-¥åãèª­ã¿é£ã°ã */
+	/* フレーム開始フラグシーケンスの間は入力を読み飛ばす */
 	while (1) {
 		if ((error = HDLC_getoctet(&octet)) == E_OK)
@@ -394,9 +372,8 @@
 	NET_COUNT_PPP_HDLC(net_count_hdlc.in_packets, 1);
 
-	/* å
-¥åãããªã¯ãããã¯ Address: All-Stations ã */
+	/* 入力したオクテットは Address: All-Stations か */
 	if (octet == HDLC_ADDR_ALL) {
 
-		/* æ¬¡ã¯ Control: UI */
+		/* 次は Control: UI */
 		if ((error = HDLC_getoctet(&octet)) != E_OK || octet != HDLC_CNTL_UI) {
 			error = E_SYS;
@@ -405,5 +382,5 @@
 		if ((error = HDLC_getoctet(&octet)) != E_OK)
 			goto err_ret;
-		/* Address ã¨ Control ã® FCS ã®è¨ç®ã¯ HDLC_INIT_FCS_AC ã«å«ãã¦ãã */
+		/* Address と Control の FCS の計算は HDLC_INIT_FCS_AC に含めている */
 		fcs = HDLC_INIT_FCS_AC;
 		}
@@ -439,6 +416,5 @@
 	nbuf->len ++;
 
-	/* SUD + FCS ãå
-¥åãã */
+	/* SUD + FCS を入力する */
 	while ((error = HDLC_getoctet(&octet)) == E_OK) {
 		fcs = Next_FCS(fcs, octet);
@@ -465,5 +441,5 @@
 		goto err_ret;
 
-	/* FCS ããã§ãã¯ãã */
+	/* FCS をチェックする */
 	if (fcs != HDLC_GOOD_FCS) {
 		error = E_SYS;
@@ -479,8 +455,7 @@
 
 /*
- *  HDLC_dummy_read -- HDLC å
-¥å (ç©ºèª­ã¿)
- *
- *	HDLC ãã¬ã¼ã ãç©ºèª­ã¿ããã
+ *  HDLC_dummy_read -- HDLC 入力 (空読み)
+ *
+ *	HDLC フレームを空読みする。
  */
 
@@ -491,6 +466,5 @@
 	ER	error;
 
-	/* ãã¬ã¼ã éå§ãã©ã°ã·ã¼ã±ã³ã¹ã¾ã§å
-¥åãèª­ã¿é£ã°ã */
+	/* フレーム開始フラグシーケンスまで入力を読み飛ばす */
 	while ((error = HDLC_getoctet(&octet)) != true) {
 		if (error != E_OK)
@@ -498,15 +472,13 @@
 		}
 
-	/* ãã¬ã¼ã éå§ãã©ã°ã·ã¼ã±ã³ã¹ã®éã¯å
-¥åãèª­ã¿é£ã°ã */
+	/* フレーム開始フラグシーケンスの間は入力を読み飛ばす */
 	while (octet == HDLC_FLAG_SEQ)
 		if (HDLC_getoctet(&octet) != E_OK)
 			return;
 
-	/* å
-¥åãããªã¯ãããã¯ Address: All-Stations ã */
+	/* 入力したオクテットは Address: All-Stations か */
 	if (octet == HDLC_ADDR_ALL) {
 
-		/* æ¬¡ã¯ Control: UI */
+		/* 次は Control: UI */
 		if (HDLC_getoctet(&octet) != E_OK || octet != HDLC_CNTL_UI)
 			return;
@@ -532,6 +504,5 @@
 
 /*
- *  HDLC_raw_getoctet -- HDLC ãªã¯ããã (Raw) å
-¥å
+ *  HDLC_raw_getoctet -- HDLC オクテット (Raw) 入力
  */
 
@@ -540,6 +511,5 @@
 	uint8_t ch;
 
-	/* 1ãªã¯ãããå
-¥åãã */
+	/* 1オクテット入力する */
 	if (serial_rea_dat(HDLC_PORTID, &ch, sizeof(ch)) <= 0)
 		return '\0';
@@ -550,5 +520,5 @@
 
 /*
- *  HDLC_raw_putoctet -- HDLC ãªã¯ããã (Raw) åºå
+ *  HDLC_raw_putoctet -- HDLC オクテット (Raw) 出力
  */
 
@@ -556,5 +526,5 @@
 {
 	NET_COUNT_PPP_HDLC(net_count_hdlc.out_octets, 1);
-	/* 1ãªã¯ãããåºåãã */
+	/* 1オクテット出力する */
 	serial_wri_dat(HDLC_PORTID, &ch, sizeof(ch));
 	}
Index: azure_iot_hub/trunk/asp3_dcre/tinet/net/ppp_hdlc.h
===================================================================
--- azure_iot_hub/trunk/asp3_dcre/tinet/net/ppp_hdlc.h	(revision 388)
+++ azure_iot_hub/trunk/asp3_dcre/tinet/net/ppp_hdlc.h	(revision 389)
@@ -5,39 +5,27 @@
  *                   Tomakomai National College of Technology, JAPAN
  *
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã® (1)ï½(4) ã®æ¡ä»¶ãï¼Free Software Foundation 
- *  ã«ãã£ã¦å
-¬è¡¨ããã¦ãã GNU General Public License ã® Version 2 ã«è¨
- *  è¿°ããã¦ããæ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§ã¢ï¼æ¬ã½ããã¦ã§ã¢
- *  ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼
- *  å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®æ¡ä»¶ãæºãããã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の (1)～(4) の条件か，Free Software Foundation 
+ *  によって公表されている GNU General Public License の Version 2 に記
+ *  述されている条件を満たす場合に限り，本ソフトウェア（本ソフトウェア
+ *  を改変したものを含む．以下同じ）を使用・複製・改変・再配布（以下，
+ *  利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次の条件を満たすこと．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
  *
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ãã®é©ç¨å¯è½æ§ã
- *  å«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´
- *  æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ãã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，その適用可能性も
+ *  含めて，いかなる保証も行わない．また，本ソフトウェアの利用により直
+ *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
  *  @(#) $Id$
@@ -72,9 +60,9 @@
 
 /*
- *  RFC1171 (PPP) ã® HDLC é¨ã®å®ç¾©
+ *  RFC1171 (PPP) の HDLC 部の定義
  */
 
 /*
- *  æ¢å®å¤
+ *  既定値
  */
 
@@ -90,5 +78,5 @@
 
 /*
- *  é¢æ°
+ *  関数
  */
 
Index: azure_iot_hub/trunk/asp3_dcre/tinet/net/ppp_ipcp.c
===================================================================
--- azure_iot_hub/trunk/asp3_dcre/tinet/net/ppp_ipcp.c	(revision 388)
+++ azure_iot_hub/trunk/asp3_dcre/tinet/net/ppp_ipcp.c	(revision 389)
@@ -5,39 +5,27 @@
  *                   Tomakomai National College of Technology, JAPAN
  *
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã® (1)ï½(4) ã®æ¡ä»¶ãï¼Free Software Foundation 
- *  ã«ãã£ã¦å
-¬è¡¨ããã¦ãã GNU General Public License ã® Version 2 ã«è¨
- *  è¿°ããã¦ããæ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§ã¢ï¼æ¬ã½ããã¦ã§ã¢
- *  ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼
- *  å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®æ¡ä»¶ãæºãããã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ãã®é©ç¨å¯è½æ§ã
- *  å«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´
- *  æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ãã®è²¬ä»»ãè² ããªãï¼
+ *  上記著作権者は，以下の (1)～(4) の条件か，Free Software Foundation 
+ *  によって公表されている GNU General Public License の Version 2 に記
+ *  述されている条件を満たす場合に限り，本ソフトウェア（本ソフトウェア
+ *  を改変したものを含む．以下同じ）を使用・複製・改変・再配布（以下，
+ *  利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次の条件を満たすこと．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，その適用可能性も
+ *  含めて，いかなる保証も行わない．また，本ソフトウェアの利用により直
+ *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
  *  @(#) $Id$
@@ -124,5 +112,5 @@
 
 /*
- *  é¢æ°
+ *  関数
  */
 
@@ -136,107 +124,89 @@
 
 /*
- * FSM ããå¼åºãããã³ã¼ã«ããã¯é¢
- */
-
-static void  ipcp_resetci(T_PPP_FSM *fsm);	/* èªæ§ææ
-å ±ããªã»ããããã	*/
-static int_t ipcp_cilen	(T_PPP_FSM *fsm);	/* æ§ææ
-å ±ã®é·ããè¿ãã		*/
+ * FSM から呼出されるコールバック関
+ */
+
+static void  ipcp_resetci(T_PPP_FSM *fsm);	/* 自構成情報をリセットする。	*/
+static int_t ipcp_cilen	(T_PPP_FSM *fsm);	/* 構成情報の長さを返す。		*/
 static void  ipcp_addci	(T_PPP_FSM *fsm, T_NET_BUF *output);
-						/* èªæ§ææ
-å ±ãè¿½å ããã		*/
+						/* 自構成情報を追加する。		*/
 static bool_t  ipcp_ackci	(T_PPP_FSM *fsm, T_NET_BUF *input);
-						/* ACK ãåä¿¡ããã¨ãã®å¦ç	*/
+						/* ACK を受信したときの処理	*/
 static bool_t  ipcp_nakci	(T_PPP_FSM *fsm, T_NET_BUF *input);
-						/* NAK ãåä¿¡ããã¨ãã®å¦ç	*/
+						/* NAK を受信したときの処理	*/
 static bool_t  ipcp_rejci	(T_PPP_FSM *fsm, T_NET_BUF *input);
-						/* REJ ãåä¿¡ããã¨ãã®å¦ç	*/
+						/* REJ を受信したときの処理	*/
 static int_t ipcp_reqci	(T_PPP_FSM *fsm, T_NET_BUF *input, T_NET_BUF *output);
-						/* ç¸æã®æ§ææ
-å ±ãç¢ºèªããã	*/
-static void ipcp_up	(T_PPP_FSM *fsm);	/* ãªã³ã¯æ¥ç¶ãç¢ºç«ããã		*/
-static void ipcp_down	(T_PPP_FSM *fsm);	/* ãªã³ã¯æ¥ç¶ãè§£æ¾ããã		*/
-static void ipcp_finished(T_PPP_FSM *fsm);	/* ä¸ä½å±¤ãçµäºããã		*/
-
-/*
- *  å¤æ°
- */
-
-static T_IFNET ipcp_local_def_cfg = {		/* èªæ§ææ
-å ±ã®è¦å®å¤		*/
+						/* 相手の構成情報を確認する。	*/
+static void ipcp_up	(T_PPP_FSM *fsm);	/* リンク接続を確立する。		*/
+static void ipcp_down	(T_PPP_FSM *fsm);	/* リンク接続を解放する。		*/
+static void ipcp_finished(T_PPP_FSM *fsm);	/* 下位層を終了する。		*/
+
+/*
+ *  変数
+ */
+
+static T_IFNET ipcp_local_def_cfg = {		/* 自構成情報の規定値		*/
 	NULL,
 	{
-		IPV4_ADDR_LOCAL,		/* IPv4 ã¢ãã¬ã¹			*/
-		UINT_C(0),			/* ãµãããããã¹ã¯		*/
+		IPV4_ADDR_LOCAL,		/* IPv4 アドレス			*/
+		UINT_C(0),			/* サブネットマスク		*/
 		},
 	};
 
-static T_IFNET ipcp_remote_def_cfg = {		/* ç¸æã®æ§ææ
-å ±ã®è¦å®å¤	*/
+static T_IFNET ipcp_remote_def_cfg = {		/* 相手の構成情報の規定値	*/
 	NULL,
 	{
-		IPV4_ADDR_REMOTE,		/* IPv4 ã¢ãã¬ã¹			*/
-		UINT_C(0),			/* ãµãããããã¹ã¯		*/
+		IPV4_ADDR_REMOTE,		/* IPv4 アドレス			*/
+		UINT_C(0),			/* サブネットマスク		*/
 		}
 	};
 
-static T_IFNET ipcp_local_neg_cfg;		/* ãã´ä¸­ã®èªæ§ææ
-å ±		*/
-
-static T_IFNET ipcp_remote_neg_cfg;		/* ãã´ä¸­ã®ç¸æã®æ§ææ
-å ±		*/
-
-/*
- *  å
-¨åå¤æ°
+static T_IFNET ipcp_local_neg_cfg;		/* ネゴ中の自構成情報		*/
+
+static T_IFNET ipcp_remote_neg_cfg;		/* ネゴ中の相手の構成情報		*/
+
+/*
+ *  全域変数
  */
 
 T_PPP_FSM_CALLBACKS ipcp_callbacks = {
-	ipcp_resetci,			/* èªæ§ææ
-å ±ããªã»ããããã	*/
-	ipcp_cilen,			/* æ§ææ
-å ±ã®é·ããè¿ãã		*/
-	ipcp_addci,			/* èªæ§ææ
-å ±ãè¿½å ããã		*/
-	ipcp_ackci,			/* ACK ãåä¿¡ããã¨ãã®å¦ç	*/
-	ipcp_nakci,			/* NAK ãåä¿¡ããã¨ãã®å¦ç	*/
-	ipcp_rejci,			/* REJ ãåä¿¡ããã¨ãã®å¦ç	*/
-	ipcp_reqci,			/* ç¸æã®æ§ææ
-å ±ãç¢ºèªããã	*/
-	ipcp_up,			/* ãªã³ã¯æ¥ç¶ãç¢ºç«ããã		*/
-	ipcp_down,			/* ãªã³ã¯æ¥ç¶ãè§£æ¾ããã		*/
-	NULL,				/* ä¸ä½å±¤ãéå§ããã		*/
-	ipcp_finished,			/* ä¸ä½å±¤ãçµäºããã		*/
-	NULL,				/* åéããã			*/
-	NULL,				/* ä¸æãª CP ãåä¿¡ããã¨ãã®å¦ç	*/
+	ipcp_resetci,			/* 自構成情報をリセットする。	*/
+	ipcp_cilen,			/* 構成情報の長さを返す。		*/
+	ipcp_addci,			/* 自構成情報を追加する。		*/
+	ipcp_ackci,			/* ACK を受信したときの処理	*/
+	ipcp_nakci,			/* NAK を受信したときの処理	*/
+	ipcp_rejci,			/* REJ を受信したときの処理	*/
+	ipcp_reqci,			/* 相手の構成情報を確認する。	*/
+	ipcp_up,			/* リンク接続を確立する。		*/
+	ipcp_down,			/* リンク接続を解放する。		*/
+	NULL,				/* 下位層を開始する。		*/
+	ipcp_finished,			/* 下位層を終了する。		*/
+	NULL,				/* 再送する。			*/
+	NULL,				/* 不明な CP を受信したときの処理	*/
 	};
 
 T_PPP_FSM ipcp_fsm = {
-	&ipcp_callbacks,		/* ã³ã¼ã«ããã¯é¢æ°		*/
-	PPP_IPCP,			/* ãã­ãã³ã«			*/
+	&ipcp_callbacks,		/* コールバック関数		*/
+	PPP_IPCP,			/* プロトコル			*/
 	};
 
 T_PPP_PROTENT ipcp_protent = {
 	PPP_IPCP,
-	ipcp_init,			/* åæå			*/
-	ipcp_input,			/* å
-¥å				*/
-	ipcp_protrej,			/* Proto-REJ åä¿¡å¦ç		*/
-	ipcp_lowerup,			/* ä¸ä½å±¤ãèµ·åãã		*/
-	ipcp_lowerdown,			/* ä¸ä½å±¤ãåæ­¢ãã		*/
-	ipcp_open,			/* ãªã¼ãã³ãã			*/
-	ipcp_close,			/* ã¯ã­ã¼ãºãã			*/
-	ip_input,			/* ãã¼ã¿å
-¥åãIPv4 å
-¥å	*/
+	ipcp_init,			/* 初期化			*/
+	ipcp_input,			/* 入力				*/
+	ipcp_protrej,			/* Proto-REJ 受信処理		*/
+	ipcp_lowerup,			/* 下位層を起動する		*/
+	ipcp_lowerdown,			/* 下位層を停止する		*/
+	ipcp_open,			/* オープンする			*/
+	ipcp_close,			/* クローズする			*/
+	ip_input,			/* データ入力、IPv4 入力	*/
 	};
 
-T_IFNET ipcp_local_ack_cfg;		/* ç¸æã«è¨±å¯ãããã®èªæ§ææ
-å ±	*/
-T_IFNET ipcp_remote_ack_cfg;		/* ç¸æã«è¨±å¯ããæ§ææ
-å ±	*/
-
-/*
- *  ppp_get_ifnet -- ãããã¯ã¼ã¯ã¤ã³ã¿ãã§ã¼ã¹æ§é ä½ãè¿ãã
+T_IFNET ipcp_local_ack_cfg;		/* 相手に許可されたの自構成情報	*/
+T_IFNET ipcp_remote_ack_cfg;		/* 相手に許可した構成情報	*/
+
+/*
+ *  ppp_get_ifnet -- ネットワークインタフェース構造体を返す。
  */
 
@@ -248,8 +218,7 @@
 
 /*
- *  wait_ipcp -- IP æ¥ç¶å®äºã¾ã§å¾
-ã¤ã
- *
- *	æ»ãå¤: æ¥ç¶ã«å¤±æããã E_OBJ ãè¿ãã
+ *  wait_ipcp -- IP 接続完了まで待つ。
+ *
+ *	戻り値: 接続に失敗したら E_OBJ を返す。
  */
 
@@ -265,6 +234,5 @@
 #ifdef PPP_CFG_MODEM
 
-		/* ã¢ãã ã®æ¥ç¶å®äºã¾ã§å¾
-ã¤ã*/
+		/* モデムの接続完了まで待つ。*/
 		if ((error = wait_modem()) != E_OK)
 			return error;
@@ -273,8 +241,6 @@
 
 		/*
-		 * ååãªã¼ãã³ããç¸æããã®æ¥ç¶å¾
-ã¡ãªã LCP ãä¸åº¦ã¯ã­ã¼ãºãã
-		 * è½åãªã¼ãã³ç¶æ
-ã§ãåãªã¼ãã³ããã
+		 * 受動オープンし、相手からの接続待ちなら LCP を一度クローズし、
+		 * 能動オープン状態で、再オープンする。
 		 */
 		lcp_close();
@@ -286,6 +252,5 @@
 
 	if (ipcp_fsm.state != PPP_FSM_OPENED) {
-		/* IP æ¥ç¶å®äºã¾ã§å¾
-ã¤ã*/
+		/* IP 接続完了まで待つ。*/
 		wai_sem(SEM_IPCP_READY);
 		if (ipcp_fsm.state != PPP_FSM_OPENED)
@@ -297,5 +262,5 @@
 
 /*
- *  ipcp_init -- IPCP ã¢ã¸ã¥ã¼ã«ã®åæå
+ *  ipcp_init -- IPCP モジュールの初期化
  */
 
@@ -307,6 +272,5 @@
 
 /*
- *  ipcp_input -- IPCP å
-¥å
+ *  ipcp_input -- IPCP 入力
  */
 
@@ -320,6 +284,5 @@
 
 /*
- *  ipcp_resetci -- IPCPã®æ§ææ
-å ±ããªã»ããããã
+ *  ipcp_resetci -- IPCPの構成情報をリセットする。
  */
 
@@ -327,11 +290,9 @@
 ipcp_resetci (T_PPP_FSM *fsm)
 {
-	/* èªæ§ææ
-å ±ã®åæè¨­å® */
+	/* 自構成情報の初期設定 */
 	ipcp_local_neg_cfg = ipcp_local_def_cfg;
 	memset((void*)&ipcp_local_ack_cfg, 0, sizeof(T_IFNET));
 
-	/* ç¸æã®æ§ææ
-å ±ã®åæè¨­å® */
+	/* 相手の構成情報の初期設定 */
 	ipcp_remote_neg_cfg = ipcp_remote_def_cfg;
 	memset((void*)&ipcp_remote_ack_cfg, 0, sizeof(T_IFNET));
@@ -339,6 +300,5 @@
 
 /*
- *  ipcp_cilen -- æ§ææ
-å ±ã®é·ããè¿ãã
+ *  ipcp_cilen -- 構成情報の長さを返す。
  */
 
@@ -348,5 +308,5 @@
 	int_t cilen = 0;
 
-	cilen += sizeof(T_PPP_CI_HDR) + sizeof(uint32_t);	/* IPv4 ã¢ãã¬ã¹ */
+	cilen += sizeof(T_PPP_CI_HDR) + sizeof(uint32_t);	/* IPv4 アドレス */
 
 	return cilen;
@@ -354,6 +314,5 @@
 
 /*
- *  ipcp_addci -- IPCPã®æ§ææ
-å ±ãè¿½å ããã
+ *  ipcp_addci -- IPCPの構成情報を追加する。
  */
 
@@ -365,5 +324,5 @@
 	buf = output->buf + sizeof(T_PPP_HDR) + sizeof(T_PPP_CP_HDR);
 
-	/* IPv4 ã¢ãã¬ã¹ãªãã·ã§ã³ãè¿½å ããã */
+	/* IPv4 アドレスオプションを追加する。 */
 	*buf ++ = IPCP_CIT_ADDR;
 	*buf ++ = sizeof(T_PPP_CI_HDR) + sizeof(uint32_t);
@@ -373,8 +332,8 @@
 
 /*
- *  ipcp_ackci -- ACK ãåä¿¡ããã¨ãã®å¦ç
- *
- *	æ»ãå¤:	true  ACK ã¯æ­£å¸¸
- *		false ACK ã¯ç°å¸¸
+ *  ipcp_ackci -- ACK を受信したときの処理
+ *
+ *	戻り値:	true  ACK は正常
+ *		false ACK は異常
  */
 
@@ -389,11 +348,9 @@
 
 	/*
-	 *  æ§ææ
-å ±ã¯éä¿¡ããé ã«å®å
-¨ã«ä¸è´ããªããã°ãªããªãã
-	 *  å¾ã£ã¦ãipcp_addci ã§ä½æããé ã«è§£æããã
+	 *  構成情報は送信した順に完全に一致しなければならない。
+	 *  従って、ipcp_addci で作成した順に解析する。
 	 */
 
-	/* ADDR ãªãã·ã§ã³ãè§£æããã */
+	/* ADDR オプションを解析する。 */
 	if (len < sizeof(T_PPP_CI_HDR) + sizeof(uint32_t)	||
 	    *buf ++ != IPCP_CIT_ADDR			||
@@ -408,8 +365,8 @@
 
 /*
- *  ipcp_nakci -- NAK ãåä¿¡ããã¨ãã®å¦ç
- *
- *	æ»ãå¤:	1  NAK ã¯æ­£å¸¸
- *		0  NAK ã¯ç°å¸¸
+ *  ipcp_nakci -- NAK を受信したときの処理
+ *
+ *	戻り値:	1  NAK は正常
+ *		0  NAK は異常
  */
 
@@ -427,5 +384,5 @@
 	new_cfg = ipcp_local_neg_cfg;
 
-	/* ADDR ãªãã·ã§ã³ãè§£æããã */
+	/* ADDR オプションを解析する。 */
 	if (len >= sizeof(T_PPP_CI_HDR) + sizeof(uint32_t)		&&
 	    * buf      == IPCP_CIT_ADDR				&&
@@ -437,5 +394,5 @@
 		}
 
-	/* å¾ã¯ç¡è¦ããã*/
+	/* 後は無視する。*/
 	while (len > sizeof(T_PPP_CI_HDR)) {
 		cilen = *(buf + 1);
@@ -446,9 +403,9 @@
 		}
 
-	/* é·ãã 0 ã§ãªããã°ã¨ã©ã¼ */
+	/* 長さが 0 でなければエラー */
 	if (len != 0)
 		return 0;
 
-	/* æ°ãããªãã·ã§ã³ãè¨­å®ããã*/
+	/* 新しいオプションを設定する。*/
 	if (fsm->state != PPP_FSM_OPENED)
 		ipcp_local_neg_cfg = new_cfg;
@@ -458,8 +415,8 @@
 
 /*
- *  ipcp_rejci -- REJ ãåä¿¡ããã¨ãã®å¦ç
- *
- *	æ»ãå¤:	1  REJ ã¯æ­£å¸¸
- *		0  REJ ã¯ç°å¸¸
+ *  ipcp_rejci -- REJ を受信したときの処理
+ *
+ *	戻り値:	1  REJ は正常
+ *		0  REJ は異常
  */
 
@@ -476,5 +433,5 @@
 	new_cfg = ipcp_local_neg_cfg;
 
-	/* ADDR ãªãã·ã§ã³ãè§£æããã */
+	/* ADDR オプションを解析する。 */
 	if (len >= sizeof(T_PPP_CI_HDR) + sizeof(uint32_t)		&&
 	    * buf      == IPCP_CIT_ADDR				&&
@@ -485,9 +442,9 @@
 		}
 
-	/* é·ãã 0 ã§ãªããã°ã¨ã©ã¼ */
+	/* 長さが 0 でなければエラー */
 	if (len != 0)
 		return 0;
 
-	/* æ°ãããªãã·ã§ã³ãè¨­å®ããã*/
+	/* 新しいオプションを設定する。*/
 	if (fsm->state != PPP_FSM_OPENED)
 		ipcp_local_neg_cfg = new_cfg;
@@ -497,6 +454,5 @@
 
 /*
- *  ipcp_reqci -- ç¸æã®æ§ææ
-å ±ãè§£æããã
+ *  ipcp_reqci -- 相手の構成情報を解析する。
  */
 
@@ -509,31 +465,31 @@
 
 	rp = ap = input->buf +  sizeof(T_PPP_HDR) + sizeof(T_PPP_CP_HDR);
-				/* rp: REJãap: ACK ãã CI ã®ãã¤ã³ã¿	*/
-				/* æå¦ããå ´åã¯ãå¼æ° buf ã«ä¸æ¸ãããã	*/
+				/* rp: REJ、ap: ACK する CI のポインタ	*/
+				/* 拒否する場合は、引数 buf に上書きする。	*/
 	len   = input->len - (sizeof(T_PPP_HDR) + sizeof(T_PPP_CP_HDR));
 	np    = output->buf + sizeof(T_PPP_HDR) + sizeof(T_PPP_CP_HDR);
-	final = PPP_CONFACK;	/* æçµçã«éä¿¡ããã³ã¼ã */
+	final = PPP_CONFACK;	/* 最終的に送信するコード */
 	while (len > 0) {
 		code = PPP_CONFACK;
-		cp   = ap;	/* cp: ç¾å¨å¦çä¸­ã® CI	*/
+		cp   = ap;	/* cp: 現在処理中の CI	*/
 
 		if (len < sizeof(T_PPP_CI_HDR)) {
 
-			/* æ®ãã CI ãããããç­ã */
+			/* 残りが CI ヘッダより短い */
 			syslog(LOG_NOTICE, "[PPP/IPCP] bad CI len: %d.", len);
-			cilen = len;	/* ãã¼ã¿é·ãç°å¸¸ã®å ´åã®å¦ç½®	*/
-			len  = 0;	/* ã«ã¼ãããæããã		*/
+			cilen = len;	/* データ長が異常の場合の処置	*/
+			len  = 0;	/* ループから抜ける。		*/
 			code  = PPP_CONFREJ;
 			goto endswitch;
 			}
 
-		type  = *ap ++;	/* CI ã®å		*/
-		cilen = *ap ++;	/* CI ã®é·ã		*/
+		type  = *ap ++;	/* CI の型		*/
+		cilen = *ap ++;	/* CI の長さ		*/
 		if (len < cilen) {
 
-			/* æ®ãã CI é·ããç­ã */
+			/* 残りが CI 長より短い */
 			syslog(LOG_NOTICE, "[PPP/IPCP] bad CI len: %d.", cilen);
-			cilen = len;	/* ãã¼ã¿é·ãç°å¸¸ã®å ´åã®å¦ç½®	*/
-			len  = 0;	/* ã«ã¼ãããæããã		*/
+			cilen = len;	/* データ長が異常の場合の処置	*/
+			len  = 0;	/* ループから抜ける。		*/
 			code  = PPP_CONFREJ;
 			goto endswitch;
@@ -541,10 +497,10 @@
 		len -= sizeof(T_PPP_CI_HDR);
 
-		/* CI ã®åã«ããåå²ããã*/
+		/* CI の型により分岐する。*/
 		switch (type) {
 
-		case IPCP_CIT_ADDR:	/* IPv4 ã¢ãã¬ã¹ */
-
-		 	/* CI é·ããããã + 4 ãªã¯ãããã§ãªããã°ã¨ã©ã¼ */
+		case IPCP_CIT_ADDR:	/* IPv4 アドレス */
+
+		 	/* CI 長が、ヘッダ + 4 オクテットでなければエラー */
 		 	if (cilen != sizeof(T_PPP_CI_HDR) + sizeof(uint32_t))
 				code = PPP_CONFREJ;
@@ -559,5 +515,5 @@
 					code = PPP_CONFNAK;
 					}
-#if 1	/* è¦ç¢ºèª */
+#if 1	/* 要確認 */
 				else if (addr == 0 && ipcp_remote_neg_cfg.in4_ifaddr.addr == 0)
 #else
@@ -578,7 +534,6 @@
 
 		if (code == PPP_CONFNAK) {
-			/* CI ã®åã Magic Number ã®å ´åãé¤ãã¦ãNAK ã®åæ°ã	*/
-			/* æå¤§å¤ MAX_PPP_FAILURES  ãè¶
-ãããæå¦ããã	*/
+			/* CI の型が Magic Number の場合を除いて、NAK の回数が	*/
+			/* 最大値 MAX_PPP_FAILURES  を超えたら拒否する。	*/
 			if (fsm->failures >= MAX_PPP_FAILURES)
 				code = PPP_CONFREJ;
@@ -587,7 +542,7 @@
 			}
 
-		/* ãã® CI ãæå¦ãã */
+		/* この CI を拒否する */
 		if (code == PPP_CONFREJ) {
-			if (rp < cp)		/* åã«è©°ããã*/
+			if (rp < cp)		/* 前に詰める。*/
 				memcpy(rp, cp, cilen);
 			rp += cilen;
@@ -599,5 +554,5 @@
 		}
 
-	/* æçµçãªé·ããèª¿æ´ããã*/
+	/* 最終的な長さを調整する。*/
 	switch (final) {
 	case PPP_CONFNAK:
@@ -617,5 +572,5 @@
 
 /*
- *  ipcp_up -- ãªã³ã¯æ¥ç¶ãç¢ºç«ããã
+ *  ipcp_up -- リンク接続を確立する。
  */
 
@@ -623,21 +578,19 @@
 ipcp_up (T_PPP_FSM *fsm)
 {
-	/* èªæ§ææ
-å ±ã®åæè¨­å® */
+	/* 自構成情報の初期設定 */
 	ipcp_local_ack_cfg = ipcp_local_neg_cfg;
 
 	/*
-	 *  ãµãããããã¹ã¯ã¨
-	 *  ã­ã¼ã«ã«ã»ãã­ã¼ãã­ã£ã¹ã IPv4 ã¢ãã¬ã¹ãè¨­å®ããã
+	 *  サブネットマスクと
+	 *  ローカル・ブロードキャスト IPv4 アドレスを設定する。
 	 */
 	ipcp_local_ack_cfg.in4_ifaddr.mask = MAKE_IPV4_LOCAL_MASK(ipcp_local_neg_cfg.in4_ifaddr.addr);
 
-	/* ç¸æã®æ§ææ
-å ±ã®åæè¨­å® */
+	/* 相手の構成情報の初期設定 */
 	ipcp_remote_ack_cfg = ipcp_remote_neg_cfg;
 
 	/*
-	 *  ãµãããããã¹ã¯ã¨
-	 *  ã­ã¼ã«ã«ã»ãã­ã¼ãã­ã£ã¹ã IPv4 ã¢ãã¬ã¹ãè¨­å®ããã
+	 *  サブネットマスクと
+	 *  ローカル・ブロードキャスト IPv4 アドレスを設定する。
 	 */
 	ipcp_remote_ack_cfg.in4_ifaddr.mask = MAKE_IPV4_LOCAL_MASK(ipcp_remote_neg_cfg.in4_ifaddr.addr);
@@ -651,5 +604,5 @@
 
 /*
- *  ipcp_down -- ãªã³ã¯æ¥ç¶ãè§£æ¾ããã
+ *  ipcp_down -- リンク接続を解放する。
  */
 
@@ -662,5 +615,5 @@
 
 /*
- *  ipcp_finished -- ä¸ä½å±¤ãçµäºããã
+ *  ipcp_finished -- 下位層を終了する。
  */
 
@@ -671,5 +624,5 @@
 
 /*
- *  ipcp_protrej -- Proto-REJ ãåä¿¡ããã¨ãã®å¦ç
+ *  ipcp_protrej -- Proto-REJ を受信したときの処理
  */
 
@@ -681,5 +634,5 @@
 
 /*
- *  ipcp_lowerup -- IPCP ä¸ä½å±¤ãèµ·åããã
+ *  ipcp_lowerup -- IPCP 下位層を起動する。
  */
 
@@ -691,5 +644,5 @@
 
 /*
- *  ipcp_lowerdown -- IPCP ä¸ä½å±¤ãåæ­¢ããã
+ *  ipcp_lowerdown -- IPCP 下位層を停止する。
  */
 
@@ -701,5 +654,5 @@
 
 /*
- *  ipcp_open -- IPCP ã®ãªã¼ãã³
+ *  ipcp_open -- IPCP のオープン
  */
 
@@ -711,5 +664,5 @@
 
 /*
- *  ipcp_close -- IPCP ã®ã¯ã­ã¼ãº
+ *  ipcp_close -- IPCP のクローズ
  */
 
Index: azure_iot_hub/trunk/asp3_dcre/tinet/net/ppp_ipcp.h
===================================================================
--- azure_iot_hub/trunk/asp3_dcre/tinet/net/ppp_ipcp.h	(revision 388)
+++ azure_iot_hub/trunk/asp3_dcre/tinet/net/ppp_ipcp.h	(revision 389)
@@ -5,39 +5,27 @@
  *                   Tomakomai National College of Technology, JAPAN
  *
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã® (1)ï½(4) ã®æ¡ä»¶ãï¼Free Software Foundation 
- *  ã«ãã£ã¦å
-¬è¡¨ããã¦ãã GNU General Public License ã® Version 2 ã«è¨
- *  è¿°ããã¦ããæ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§ã¢ï¼æ¬ã½ããã¦ã§ã¢
- *  ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼
- *  å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®æ¡ä»¶ãæºãããã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の (1)～(4) の条件か，Free Software Foundation 
+ *  によって公表されている GNU General Public License の Version 2 に記
+ *  述されている条件を満たす場合に限り，本ソフトウェア（本ソフトウェア
+ *  を改変したものを含む．以下同じ）を使用・複製・改変・再配布（以下，
+ *  利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次の条件を満たすこと．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
  *
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ãã®é©ç¨å¯è½æ§ã
- *  å«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´
- *  æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ãã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，その適用可能性も
+ *  含めて，いかなる保証も行わない．また，本ソフトウェアの利用により直
+ *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
  *  @(#) $Id$
@@ -93,19 +81,17 @@
 
 /*
- *  IPCP ã®æ§ææ
-å ± (CI)
+ *  IPCP の構成情報 (CI)
  */
 
 /*
- *  CI ã®å
+ *  CI の型
  */
 
-#define IPCP_CIT_ADDRS		UINT_C(1)	/* IP ã¢ãã¬ã¹ (å»æ£)	*/
-#define IPCP_CIT_COMP_TYPE	UINT_C(2)	/* å§ç¸®æ¹å¼		*/
-#define IPCP_CIT_ADDR		UINT_C(3)	/* IP ã¢ãã¬ã¹		*/
+#define IPCP_CIT_ADDRS		UINT_C(1)	/* IP アドレス (廃棄)	*/
+#define IPCP_CIT_COMP_TYPE	UINT_C(2)	/* 圧縮方式		*/
+#define IPCP_CIT_ADDR		UINT_C(3)	/* IP アドレス		*/
 
 /*
- *  åæ¹åç
-§
+ *  前方参照
  */
 
@@ -119,5 +105,5 @@
 
 /*
- *  å¤æ°
+ *  変数
  */
 
@@ -134,5 +120,5 @@
 
 /*
- *  é¢æ°
+ *  関数
  */
 
